> ## Documentation Index
> Fetch the complete documentation index at: https://developer.audiohook.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update audience

## 🔄 Update an Audience

Updates an existing audience.

### 📤 Request Example

```bash theme={null}
curl -X PATCH https://betaapi.audiohook.com/v2/companies/:companyUUID/audiences/test-audience-uuid/ \
  -H "Authorization: Bearer ${API_TOKEN}" \
  -H "Content-Type: application/json" \
  -d '{
    "request_headers": [
      { "name": "X-Request-Header", "value": "Header value" }
    ],
    "body": {
      "advertiser_id": "1234-abcd-qwer-xcvb",
      "name": "Test audience new name",
      "topics": ["topic 3", "topic 4"],
      "type": 3
    }
}'
```

### ✅ Response Example

```json theme={null}
{"Message": "Updated audience test-audience-uuid"}
```

### 🌐 HTTP Request

```http theme={null}
PATCH /v2/companies/:companyUUID/audiences/:audienceUUID
```

### 🧾 Body Parameters

| Parameter      | Required | Type         | Description             |
| -------------- | -------- | ------------ | ----------------------- |
| name           | ✅        | string       | Audience name           |
| advertiser\_id | ❌        | string       | UUID of advertiser      |
| type           | ❌        | int          | Audience type           |
| tags           | ❌        | array        | Array of tags           |
| first\_party   | ❌        | array        | First party segments    |
| liveramp\_ids  | ❌        | array        | Liveramp IDs if type=2  |
| topics         | ❌        | array/string | List of topics or 'csv' |
